#ifndef Command_H
#define Command_H

#include <Arduino.h>

class Command {
  public:
    Command(int recipient, int action, String value);
    Command(String cmd);
    int getSender();
    int getRecipient();
    int getCmdCode();
    String getValue();
    String getValueOnIndex(int index);
    String toString();
  private:
    int _sender;
    int _recipient;
    int _cmdCode;
    String _value;

    static String getSection(int section, String string);
    static String getSection(int section, String string, char seperator);
    static int getNthIndex(String s, char t, int n);
};

#endif
