#ifndef CommandBuffer_H
#define CommandBuffer_H

#include <Arduino.h>
#include <Command.h>

#define BUFFER_SIZE 20

class CommandBuffer
{
public:
  void clear();
  void remove(int index);
  void add(Command *cmd);
  Command *get(int index);
  int size();
  bool isEmpty();

private:
  Command *_commandBuffer[BUFFER_SIZE] = {NULL};
  int findFirstFreeSlot();
};

#endif
