#ifndef Settings_H
#define Settings_H

/* Fixed-address modules. */
#define MODULE_CTRLUNIT 1
#define MODULE_CLOCK 2
#define MODULE_IO 3

#define ADDRESS_DEVICE_A 1
#define ADDRESS_DEVICE_B 2

/* Module interaction commands */
#define CMD_REGISTER_NEW  001
#define CMD_REGISTER_DEPENDENCY  002
#define CMD_REGISTER_OK 003
#define CMD_REGISTER_FAIL 004

#define  CMD_SET_DIFFICULTY 101
#define  CMD_SET_REPETITIONS 102
#define  CMD_SET_BATTERIES 103
#define  CMD_SET_STRIKES 104
#define  CMD_SET_SERIALNO 105
#define  CMD_SET_FRK 106
#define  CMD_SET_CAR 107
#define  CMD_SET_CLR 108
#define  CMD_SET_CLOCKTIME 109
#define  CMD_SET_CLOCKSPEED 110

#define  CMD_OPERATION_GENERATE 201
#define  CMD_OPERATION_START 202
#define  CMD_OPERATION_STOP 203
#define  CMD_OPERATION_POWEROUTAGE 204
#define  CMD_OPERATION_RESET 205
#define  CMD_OPERATION_ADDSTRIKE 206
#define  CMD_OPERATION_EXPLODE 207
#define  CMD_OPERATION_MARKSOLVED 208

#define CMD_GET_CLOCKTIME 301

#define CMD_PRINT_NUMBER 301
#define CMD_PRINT_GREETING 302


#endif
